Summary:        A middleware layer between C libraries and language bindings
Name:           gobject-introspection
Version:        1.72.0
Release:        3%{?dist}
License:        GPLv2+ and LGPLv2+ and MIT
URL:            https://gi.readthedocs.io/
Source0:        https://download.gnome.org/sources/gobject-introspection/1.72/%{name}-%{version}.tar.xz

BuildRequires:  gcc, meson, python3-devel, python3, pkg-config
BuildRequires:  bison, flex, cairo-devel, cairo-gobject-devel, glib2-devel, libffi-devel
BuildRequires:  python3-mako, python3-markdown

Requires:       glib2
# For g-ir-doctool
Requires:       python3-mako
Requires:       python3-markdown

%description
GObject introspection is a middleware layer between C libraries (using
GObject) and language bindings. The C library can be scanned at compile
time and generate metadata files, in addition to the actual native C
library. Then language bindings can read this metadata and automatically
provide bindings to call into the C library.

%package devel
Summary:        Libraries and headers for gobject-introspection
Requires:       %{name} = %{version}-%{release}
Requires:       python(abi) = %{python3_version}
Requires:       libtool


%description devel
Libraries and headers for gobject-introspection

%prep
%autosetup -p1

%build
%meson -Ddoctool=enabled
%meson_build

%install
%meson_install



%files
%doc NEWS README.rst
%license COPYING COPYING.GPL COPYING.LGPL
%{_libdir}/libgirepository-1.0.so.1*
%{_libdir}/girepository-1.0/*.typelib
%{_libdir}/gobject-introspection/
%{_bindir}/g-ir-*
%{_datadir}/gir-1.0
%{_datadir}/gobject-introspection-1.0/
%{_datadir}/aclocal/introspection.m4
%{_mandir}/man1/*

%files devel
%{_libdir}/libgirepository-1.0.so
%{_libdir}/pkgconfig/*
%{_includedir}/*



%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.72.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.72.0-2
- Rebuilt for OpenCloudOS Stream 23

* Mon May 16 2022 Zhao Zhen <jeremiazhao@tencent.com> - 1.72.0-1
- Initial.
